View Issue Details

IDProjectCategoryView StatusLast Update
0000323Adventure PHP FrameworkCode-Verbesserung // Code improvementpublic2018-08-25 14:45
ReporterChristianAchatzAssigned ToChristianAchatz 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version4.0 
Target Version4.0Fixed in Version4.0 
Summary0000323: Introduce strict type declaration for methods
DescriptionWith this issue, the APF code base will be updated to use strict type declaration for methods such as

- scalar type declarations (float, int, string, ...), see http://php.net/manual/en/functions.arguments.php#functions.arguments.type-declaration
- return type declaration, see http://php.net/manual/en/functions.returning-values.php#functions.returning-values.type-declaration (in case method can return null "?" must be preceeded w/ type declaration --> only PHP7.1)
Additional InformationMaybe also interesting:

- anonymous class declarations (http://php.net/manual/en/migration70.new-features.php#migration70.new-features.anonymous-classes)
- Null coalescing operator for isset() statements (see http://php.net/manual/en/migration70.new-features.php#migration70.new-features.null-coalesce-op)
TagsNo tags attached.
Codereferenz: ([Datei]:[Zeile])
Namespacecore

Activities

ChristianAchatz

2018-04-01 19:10

administrator   ~0000819

Completed APF\core namespace.

ChristianAchatz

2018-05-18 22:57

administrator   ~0000820

Working on APF\tools and APF\modules.

ChristianAchatz

2018-06-30 19:43

administrator   ~0000821

Completed APF\tools and APF\modules. Partially covered APF\extensions. Considering this issue done. Updating further source files while implementing new features (boyscout principle).

Related Changesets

Import 2018-08-25 14:21:19: master 36386501

2018-04-01 19:07:52

Christian Achatz

Details Diff
ID#332: corrected implementation to comply w/ interface definition. Affected Issues
0000323
mod - modules/captcha/pres/taglib/SimpleCaptchaTag.php Diff File
mod - modules/captcha/pres/validator/CaptchaValidator.php Diff File

Import 2018-08-25 14:21:19: master e3f39a37

2018-04-28 16:16:27

Christian Achatz

Details Diff
ID#323: removed unnecessary & signs in method declarations. Affected Issues
0000323
mod - core/filter/InputFilterChain.php Diff File
mod - core/filter/OutputFilterChain.php Diff File
mod - extensions/arraypager/biz/ArrayPagerManagerFabric.php Diff File
mod - extensions/htmlheader/biz/filter/JsCssInclusionFilterChain.php Diff File
mod - modules/captcha/pres/taglib/SimpleCaptchaTag.php Diff File
mod - modules/comments/data/ArticleCommentMapper.php Diff File
mod - modules/genericormapper/data/BaseMapper.php Diff File
mod - modules/genericormapper/data/GenericDomainObject.php Diff File
mod - modules/genericormapper/data/GenericORMapperDataObject.php Diff File
mod - modules/guestbook2009/biz/GuestbookService.php Diff File
mod - modules/guestbook2009/pres/controller/GuestbookBaseController.php Diff File
mod - modules/usermanagement/biz/UmgtManager.php Diff File
mod - modules/usermanagement/pres/condition/UserDependentContentConditionSet.php Diff File
mod - modules/usermanagement/pres/documentcontroller/UmgtBaseController.php Diff File
mod - tests/suites/core/filter/TestableChainedStandardInputFilter.php Diff File
mod - tests/suites/core/filter/TestableChainedUrlRewritingInputFilter.php Diff File
mod - tests/suites/tools/form/taglib/ButtonTagTest.php Diff File
mod - tests/suites/tools/form/taglib/CheckBoxTagTest.php Diff File
mod - tests/suites/tools/form/taglib/ImageButtonTagTest.php Diff File
mod - tests/suites/tools/form/taglib/RadioButtonTagTest.php Diff File
mod - tools/cache/CacheManagerFabric.php Diff File
mod - tools/cache/provider/DBCacheProvider.php Diff File
mod - tools/form/FormMarker.php Diff File
mod - tools/form/taglib/AbstractFormControl.php Diff File
mod - tools/form/taglib/DateSelectorTag.php Diff File
mod - tools/form/taglib/DynamicFormElementMarkerTag.php Diff File
mod - tools/form/taglib/FormGroupTag.php Diff File
mod - tools/form/taglib/Html5DateFieldTag.php Diff File
mod - tools/form/taglib/Html5DateTimeLocalFieldTag.php Diff File
mod - tools/form/taglib/Html5MonthFieldTag.php Diff File
mod - tools/form/taglib/Html5TimeFieldTag.php Diff File
mod - tools/form/taglib/Html5WeekFieldTag.php Diff File
mod - tools/form/taglib/SelectBoxGroupTag.php Diff File
mod - tools/form/taglib/SelectBoxTag.php Diff File
mod - tools/form/taglib/TextAreaTag.php Diff File
mod - tools/form/taglib/TimeSelectorTag.php Diff File
mod - tools/html/taglib/HtmlIteratorItemTag.php Diff File
mod - tools/html/taglib/HtmlIteratorTag.php Diff File
mod - tools/link/Url.php Diff File

Import 2018-08-25 14:21:19: master 4069858d

2018-04-28 16:28:08

Christian Achatz

Details Diff
ID#323: removed unnecessary & signs in method declarations. Affected Issues
0000323
mod - core/frontcontroller/FrontControllerActionParameters.php Diff File
mod - modules/genericormapper/data/GenericDomainObject.php Diff File
mod - modules/genericormapper/data/GenericORMapperDataObject.php Diff File
mod - modules/usermanagement/biz/UmgtManager.php Diff File

Import 2018-08-25 14:21:19: master 8730d3c6

2018-05-15 22:11:08

Christian Achatz

Details Diff
ID#323: introduced type declaration for database connection classes. Affected Issues
0000323
mod - core/database/AbstractDatabaseHandler.php Diff File
mod - core/database/DatabaseConnection.php Diff File
mod - core/database/MySQLiHandler.php Diff File
mod - core/database/PDOHandler.php Diff File
mod - core/database/SQLiteHandler.php Diff File
add - tests/suites/core/database/MySQLiHandlerTest.php Diff File

Import 2018-08-25 14:21:19: master e2a1c35c

2018-05-17 20:17:30

Christian Achatz

Details Diff
ID#323: introduced type declaration for GORM classes. Affected Issues
0000323
mod - extensions/news/biz/News.php Diff File
mod - extensions/news/biz/NewsBase.php Diff File
mod - extensions/postbox/biz/Message.php Diff File
mod - extensions/postbox/biz/MessageBase.php Diff File
mod - extensions/postbox/biz/MessageChannel.php Diff File
mod - extensions/postbox/biz/MessageChannelBase.php Diff File
mod - extensions/postbox/biz/PostboxFolder.php Diff File
mod - extensions/postbox/biz/PostboxFolderBase.php Diff File
mod - extensions/postbox/biz/RecipientList.php Diff File
mod - extensions/postbox/biz/RecipientListBase.php Diff File
mod - modules/genericormapper/data/GenericDomainObject.php Diff File
mod - modules/genericormapper/data/GenericORMapper.php Diff File
mod - modules/genericormapper/data/GenericORMapperDataObject.php Diff File
mod - modules/genericormapper/data/GenericORRelationMapper.php Diff File
mod - modules/genericormapper/data/tools/GenericORMapperDomainObjectGenerator.php Diff File
mod - modules/usermanagement/biz/model/UmgtApplication.php Diff File
mod - modules/usermanagement/biz/model/UmgtApplicationBase.php Diff File
mod - modules/usermanagement/biz/model/UmgtAuthToken.php Diff File
mod - modules/usermanagement/biz/model/UmgtAuthTokenBase.php Diff File
mod - modules/usermanagement/biz/model/UmgtGroup.php Diff File
mod - modules/usermanagement/biz/model/UmgtGroupBase.php Diff File
mod - modules/usermanagement/biz/model/UmgtPermission.php Diff File
mod - modules/usermanagement/biz/model/UmgtPermissionBase.php Diff File
mod - modules/usermanagement/biz/model/UmgtRole.php Diff File
mod - modules/usermanagement/biz/model/UmgtRoleBase.php Diff File
mod - modules/usermanagement/biz/model/UmgtUser.php Diff File
mod - modules/usermanagement/biz/model/UmgtUserBase.php Diff File
mod - modules/usermanagement/biz/model/UmgtVisibilityDefinition.php Diff File
mod - modules/usermanagement/biz/model/UmgtVisibilityDefinitionBase.php Diff File
mod - modules/usermanagement/biz/model/UmgtVisibilityDefinitionType.php Diff File
mod - modules/usermanagement/biz/model/UmgtVisibilityDefinitionTypeBase.php Diff File
mod - tests/suites/modules/genericormapper/GenericORMapperTest.php Diff File
mod - tests/suites/modules/genericormapper/tools/GenericORMapperDomainObjectGeneratorTest.php Diff File

Import 2018-08-25 14:21:19: master 8a3db017

2018-05-17 20:23:36

Christian Achatz

Details Diff
ID#323: introduced type declaration for HTML header classes. Affected Issues
0000323
mod - extensions/htmlheader/biz/HeaderNode.php Diff File
mod - extensions/htmlheader/biz/HtmlNode.php Diff File
mod - extensions/htmlheader/pres/taglib/HtmlHeaderAddCssContentTag.php Diff File
mod - extensions/htmlheader/pres/taglib/HtmlHeaderAddCssImageTag.php Diff File
mod - extensions/htmlheader/pres/taglib/HtmlHeaderAddCssTag.php Diff File
mod - extensions/htmlheader/pres/taglib/HtmlHeaderAddJsContentTag.php Diff File
mod - extensions/htmlheader/pres/taglib/HtmlHeaderAddJsTags.php Diff File
mod - extensions/htmlheader/pres/taglib/HtmlHeaderAddPackageTag.php Diff File
mod - extensions/htmlheader/pres/taglib/HtmlHeaderAddStaticCssTag.php Diff File
mod - extensions/htmlheader/pres/taglib/HtmlHeaderAddStaticJsTag.php Diff File

Import 2018-08-25 14:21:19: master 0b122a51

2018-05-18 22:05:09

Christian Achatz

Details Diff
ID#323: enhanced GORM domain object API to support fluent interfaces. Affected Issues
0000323
mod - extensions/news/biz/NewsBase.php Diff File
mod - extensions/postbox/biz/MessageBase.php Diff File
mod - extensions/postbox/biz/MessageChannelBase.php Diff File
mod - extensions/postbox/biz/PostboxFolderBase.php Diff File
mod - extensions/postbox/biz/RecipientListBase.php Diff File
mod - modules/genericormapper/data/GenericDomainObject.php Diff File
mod - modules/genericormapper/data/tools/GenericORMapperDomainObjectGenerator.php Diff File
mod - modules/usermanagement/biz/model/UmgtApplicationBase.php Diff File
mod - modules/usermanagement/biz/model/UmgtAuthTokenBase.php Diff File
mod - modules/usermanagement/biz/model/UmgtGroupBase.php Diff File
mod - modules/usermanagement/biz/model/UmgtPermissionBase.php Diff File
mod - modules/usermanagement/biz/model/UmgtRoleBase.php Diff File
mod - modules/usermanagement/biz/model/UmgtUserBase.php Diff File
mod - modules/usermanagement/biz/model/UmgtVisibilityDefinitionBase.php Diff File
mod - modules/usermanagement/biz/model/UmgtVisibilityDefinitionTypeBase.php Diff File

Import 2018-08-25 14:21:19: master a664ffb4

2018-05-18 22:16:47

Christian Achatz

Details Diff
ID#323: corrected coding style of domain object generator. Affected Issues
0000323
mod - tests/suites/modules/genericormapper/tools/GenericORMapperDomainObjectGeneratorTest.php Diff File

Import 2018-08-25 14:21:19: master ac725ea8

2018-05-18 22:18:13

Christian Achatz

Details Diff
ID#323: corrected coding style of domain object generator. Affected Issues
0000323
mod - modules/genericormapper/data/tools/GenericORMapperDomainObjectGenerator.php Diff File
mod - tests/suites/modules/genericormapper/tools/GenericORMapperDomainObjectGeneratorTest.php Diff File

Import 2018-08-25 14:21:19: master e5e22dde

2018-05-18 22:21:06

Christian Achatz

Details Diff
ID#323: re-generated domain object to match configuration. Affected Issues
0000323
mod - modules/usermanagement/biz/model/UmgtUserBase.php Diff File

Import 2018-08-25 14:21:19: master 231133af

2018-05-18 22:45:27

Christian Achatz

Details Diff
ID#323:
- Introduced type declaration for various classes.
- Corrected implementation to comply w/ interface definition.
- Added fluent interface support.
Affected Issues
0000323
mod - core/pagecontroller/Document.php Diff File
mod - extensions/form/client/taglib/AddFormControlClientValidatorTag.php Diff File
mod - extensions/form/client/taglib/ClientValidationListenerTag.php Diff File
mod - extensions/form/client/taglib/FormClientErrorDisplayTag.php Diff File
mod - extensions/form/client/taglib/GetClientFormValidationTag.php Diff File
mod - tools/form/FormControl.php Diff File
mod - tools/form/FormControlFinder.php Diff File
mod - tools/form/FormElement.php Diff File
mod - tools/form/FormMarker.php Diff File
mod - tools/form/HtmlForm.php Diff File
mod - tools/form/mixin/FormControlFinder.php Diff File
mod - tools/form/multifileupload/biz/MultiFileUploadManager.php Diff File
mod - tools/form/multifileupload/pres/taglib/MultiFileUploadTag.php Diff File
mod - tools/form/provider/csrf/CSRFHashProvider.php Diff File
mod - tools/form/provider/csrf/EncryptedSIDHashProvider.php Diff File
mod - tools/form/taglib/AbstractFormControl.php Diff File
mod - tools/form/taglib/ButtonTag.php Diff File
mod - tools/form/taglib/CheckBoxTag.php Diff File
mod - tools/form/taglib/DateSelectorTag.php Diff File
mod - tools/form/taglib/DynamicFormElementMarkerTag.php Diff File
mod - tools/form/taglib/FileUploadTag.php Diff File
mod - tools/form/taglib/FormControlObserverBase.php Diff File
mod - tools/form/taglib/FormErrorDisplayTag.php Diff File
mod - tools/form/taglib/FormGroupTag.php Diff File
mod - tools/form/taglib/FormLabelTag.php Diff File
mod - tools/form/taglib/FormSuccessDisplayTag.php Diff File
mod - tools/form/taglib/HtmlFormTag.php Diff File
mod - tools/form/taglib/RadioButtonTag.php Diff File
mod - tools/form/taglib/ResetButtonTag.php Diff File
mod - tools/form/taglib/SelectBoxGroupTag.php Diff File
mod - tools/form/taglib/SelectBoxOptionTag.php Diff File
mod - tools/form/taglib/SelectBoxTag.php Diff File
mod - tools/form/taglib/TextAreaTag.php Diff File
mod - tools/form/taglib/TimeSelectorTag.php Diff File
mod - tools/form/taglib/ValidationListenerTag.php Diff File
mod - tools/html/Iterator.php Diff File
mod - tools/html/taglib/HtmlIteratorTag.php Diff File

Import 2018-08-25 14:21:19: master 11e8a716

2018-05-18 22:49:52

Christian Achatz

Details Diff
ID#323: introduced type declaration for various classes. Affected Issues
0000323
mod - tools/mail/MailAddress.php Diff File
mod - tools/mail/Message.php Diff File
mod - tools/mail/MessageBuilder.php Diff File

Import 2018-08-25 14:21:19: master 0941ceb4

2018-05-18 22:50:58

Christian Achatz

Details Diff
ID#323: introduced type declaration for various classes. Affected Issues
0000323
mod - tools/link/DefaultLinkScheme.php Diff File
mod - tools/link/LinkScheme.php Diff File
mod - tools/link/RewriteLinkScheme.php Diff File

Import 2018-08-25 14:21:19: master 7b9dbb8c

2018-05-18 22:55:53

Christian Achatz

Details Diff
ID#323: introduced type declaration for various classes. Affected Issues
0000323
mod - tools/cache/key/AdvancedCacheKey.php Diff File
mod - tools/cache/key/SimpleCacheKey.php Diff File

Import 2018-08-25 14:21:19: master 0d967910

2018-05-19 13:44:40

Christian Achatz

Details Diff
ID#323: increased test coverage. Affected Issues
0000323
add - tests/suites/tools/cache/provider/AdvancedObjectCacheProviderTest.php Diff File
add - tests/suites/tools/cache/provider/TextCacheProviderTest.php Diff File

Import 2018-08-25 14:21:19: master c891a5f3

2018-06-30 19:37:56

Christian Achatz

Details Diff
ID#323: introduced type hinting. Affected Issues
0000323
mod - modules/comments/data/ArticleCommentMapper.php Diff File
mod - modules/contact/biz/ContactManager.php Diff File
mod - modules/contact/data/ContactMapper.php Diff File
mod - modules/usermanagement/pres/condition/UmgtGroupCondition.php Diff File
mod - modules/usermanagement/pres/condition/UmgtLoggedInCondition.php Diff File
mod - modules/usermanagement/pres/condition/UmgtLoggedOutCondition.php Diff File
mod - modules/usermanagement/pres/condition/UmgtNotPermissionCondition.php Diff File
mod - modules/usermanagement/pres/condition/UmgtNotRoleCondition.php Diff File
mod - modules/usermanagement/pres/condition/UmgtPermissionCondition.php Diff File
mod - modules/usermanagement/pres/condition/UmgtRoleCondition.php Diff File
mod - modules/usermanagement/pres/condition/UserDependentContentCondition.php Diff File
mod - modules/usermanagement/pres/documentcontroller/UmgtBaseController.php Diff File
mod - modules/usermanagement/pres/documentcontroller/login/LoginController.php Diff File
mod - modules/usermanagement/pres/documentcontroller/login/ResetPasswordController.php Diff File
mod - modules/usermanagement/pres/documentcontroller/user/UserEditController.php Diff File
mod - tests/suites/tools/link/LinkGeneratorTest.php Diff File
mod - tools/filesystem/FilesystemItem.php Diff File
mod - tools/html/taglib/GetIterator.php Diff File
mod - tools/link/Url.php Diff File
mod - tools/media/actions/StreamMediaAction.php Diff File
mod - tools/soap/ExtendedSoapClientService.php Diff File
mod - tools/soap/WsdlObjectMapping.php Diff File

Import 2018-08-25 14:21:19: master 917d37fc

2018-06-30 19:42:23

Christian Achatz

Details Diff
ID#323: introduced type hinting. Affected Issues
0000323
mod - extensions/htmlheader/biz/DynamicCssNode.php Diff File
mod - extensions/htmlheader/biz/DynamicJsNode.php Diff File
mod - extensions/htmlheader/biz/HtmlNode.php Diff File

Import 2018-08-25 14:21:19: master 36d18734

2018-06-30 19:46:06

Christian Achatz

Details Diff
ID#323: introduced type hinting. Affected Issues
0000323
mod - extensions/htmlheader/biz/ConditionalDynamicCssNode.php Diff File

Issue History

Date Modified Username Field Change
2017-08-30 20:18 ChristianAchatz New Issue
2017-08-30 20:18 ChristianAchatz Status new => assigned
2017-08-30 20:18 ChristianAchatz Assigned To => ChristianAchatz
2018-04-01 19:10 ChristianAchatz Note Added: 0000819
2018-05-18 22:57 ChristianAchatz Note Added: 0000820
2018-06-30 19:43 ChristianAchatz Note Added: 0000821
2018-06-30 19:43 ChristianAchatz Status assigned => resolved
2018-06-30 19:43 ChristianAchatz Resolution open => fixed
2018-06-30 19:43 ChristianAchatz Fixed in Version => 4.0
2018-08-25 14:42 ChristianAchatz Changeset attached => Import 2018-08-25 14:21:19 master 917d37fc
2018-08-25 14:43 ChristianAchatz Changeset attached => Import 2018-08-25 14:21:19 master 0d967910
2018-08-25 14:43 ChristianAchatz Changeset attached => Import 2018-08-25 14:21:19 master 231133af
2018-08-25 14:43 ChristianAchatz Changeset attached => Import 2018-08-25 14:21:19 master e5e22dde
2018-08-25 14:43 ChristianAchatz Changeset attached => Import 2018-08-25 14:21:19 master 0b122a51
2018-08-25 14:43 ChristianAchatz Changeset attached => Import 2018-08-25 14:21:19 master 8a3db017
2018-08-25 14:43 ChristianAchatz Changeset attached => Import 2018-08-25 14:21:19 master e2a1c35c
2018-08-25 14:43 ChristianAchatz Changeset attached => Import 2018-08-25 14:21:19 master 8730d3c6
2018-08-25 14:43 ChristianAchatz Changeset attached => Import 2018-08-25 14:21:19 master 4069858d
2018-08-25 14:44 ChristianAchatz Changeset attached => Import 2018-08-25 14:21:19 master e3f39a37
2018-08-25 14:44 ChristianAchatz Changeset attached => Import 2018-08-25 14:21:19 master 36386501
2018-08-25 14:44 ChristianAchatz Changeset attached => Import 2018-08-25 14:21:19 master 36d18734
2018-08-25 14:44 ChristianAchatz Changeset attached => Import 2018-08-25 14:21:19 master c891a5f3
2018-08-25 14:44 ChristianAchatz Changeset attached => Import 2018-08-25 14:21:19 master 7b9dbb8c
2018-08-25 14:44 ChristianAchatz Changeset attached => Import 2018-08-25 14:21:19 master 11e8a716
2018-08-25 14:44 ChristianAchatz Changeset attached => Import 2018-08-25 14:21:19 master ac725ea8
2018-08-25 14:45 ChristianAchatz Changeset attached => Import 2018-08-25 14:21:19 master 0941ceb4
2018-08-25 14:45 ChristianAchatz Changeset attached => Import 2018-08-25 14:21:19 master a664ffb4